Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 234615 - rt2x00 driver cannot scan for wireless networks
Summary: rt2x00 driver cannot scan for wireless networks
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: John W. Linville
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-30 16:03 UTC by Knut J BJuland
Modified: 2007-11-30 22:12 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-06 09:05:08 UTC


Attachments (Terms of Use)
log of dmesg (deleted)
2007-03-30 16:03 UTC, Knut J BJuland
no flags Details

Description Knut J BJuland 2007-03-30 16:03:24 UTC
Description of problem:

rt2X00 driver is not able to scan for wireless network
Version-Release number of selected component (if applicable):
kernel 2.6.20-1.3015.fc7

How reproducible:
Every time 

Steps to Reproduce:
1.iwlist wlan0 scanning
2.
3.
  
Actual results:
wlan0: scan completed


Expected results:
Should display wireless network to connect to

Additional info

Comment 1 Knut J BJuland 2007-03-30 16:03:24 UTC
Created attachment 151289 [details]
log of dmesg

Comment 2 Knut J BJuland 2007-04-02 10:11:31 UTC
It turn out the radio on the rt61 card were not turn on with in the driver. BY
applying this patch http://marc.info/?l=linux-wireless&m=117543601629643&w=2 I
was able to use the rt61pci card

Comment 3 Dave Jones 2007-04-04 05:28:05 UTC
John, I added this to build 3040 as linux-2.6-rt2x00-scan-fix.patch

Comment 4 Knut J BJuland 2007-04-06 09:04:31 UTC
Work for me with kernel 2.6.20-1.3045.fc7. Tough is is reported as an ethernet
connection not an wireless by ifconfig.


Note You need to log in before you can comment on or make changes to this bug.